{% load static %}
<!DOCTYPE html>
<html>
	<head>
		<meta charset="utf-8">
		<title>{{ repeater_name }} Repeater Map</title>
		<meta name="viewport" content="initial-scale=1,maximum-scale=1,user-scalable=no">
		<link rel="stylesheet" href="https://unpkg.com/leaflet@1.7.1/dist/leaflet.css"
			integrity="sha512-xodZBNTC5n17Xt2atTPuE1HxjVMSvLVW9ocqUKLsCC5CXdbqCmblAshOMAS6/keqq/sMZMZ19scR4PsZChSR7A=="
			crossorigin=""/>
		<!-- Make sure you put this AFTER Leaflet's CSS -->
 		<script src="https://unpkg.com/leaflet@1.7.1/dist/leaflet.js"
 			integrity="sha512-XQoYMqMTK8LvdxXYG3nZ448hOEQiglfqkJs1NOQV44cWnUrBc8PkAOcXy20w0vlaXaVUearIOBhiXZ5V3ynxwA=="
 			crossorigin=""></script>
		<script src="{% static 'repeater/js/leaflet-heat.js' %}"></script>
		<style>
			body { margin: 0; padding: 0; }
			#map { position: absolute; top: 0; bottom: 0; width: 100%; }
		</style>
	</head>
	<body>
		<div id="map"></div>
		<script>
			var mymap = L.map('map').setView([{{ repeater_lat }}, {{ repeater_long }}], 9);
			L.tileLayer('https://api.mapbox.com/styles/v1/{id}/tiles/{z}/{x}/{y}?access_token={{ mapbox_token }}', {
    			attribution: 'Map data &copy; <a href="https://www.openstreetmap.org/copyright">OpenStreetMap</a> contributors, Imagery © <a href="https://www.mapbox.com/">Mapbox</a>',
    			maxZoom: 13,
    			id: 'mapbox/navigation-preview-night-v4',
    			tileSize: 512,
    			zoomOffset: -1,
    			accessToken: '{{ mapbox_token }}'
			}).addTo(mymap);
				
			var markerRepeater = L.marker([{{ repeater_lat }}, {{ repeater_long }}]).addTo(mymap);
			markerRepeater.bindPopup("<h1>{{ repeater_name }} Repeater</h1><p>TX: {{ repeater_tx_freq }}mhz<br>RX: {{ repeater_rx_freq }}mhz<br>Split: {{ repeater_shift }}mhz<br>Tone: {{ repeater_tone }}hz</p>").openPopup();

			{% for qso in qso_list %}
			var marker{{ qso.id }} = L.marker([{{ qso.latitude }}, {{ qso.longitude }}]).addTo(mymap);
			marker{{ qso.id }}.bindPopup("<h1>{{ qso.callsign }}</h1><p>{% if qso.signal_strength %}Signal strength: S{{ qso.signal_strength }}{% else %}No signal strength{% endif %}<br>Recorded: {{ qso.return_human_date }}<br>Distance: {{ qso.return_distance_to_repeater }} miles</p>");
			{% endfor %}
			var heat = L.heatLayer(
				[
					{% for qso in qso_list %}
					[{{ qso.latitude }}, {{ qso.longitude }}, {{ qso.signal_strenth }}],
					{% endfor %}
				], {radius: 100}).addTo(mymap);
		</script> 
	</body>
</html>
